Delegated Registration
POST /auth/registration/delegated
Only a Service Account can use this endpoint.
If you want to use your own authentication system, while still using Delegated Signing, you can use this endpoint to register a new User in your organization, without your user needing to receive an email from Dfns.
This endpoint will:
Create a new User attached to your organization
Initiates a User Registration Challenge and returns the registration challenge.
On successful creation, the user's registration challenge will be returned. You will then need to call Complete User Registration to complete the user's registration.
Service account required. See Service Accounts for more information.
User action signature required. See User Action Signing for more information.
Request headers required. See Request Headers for more information.
Authentication required. See Authentication Headers for more information.
Required Permissions
Auth:Register:Delegated
Always Required
Request body
email *
String
email of the user being created. For EndUser kind, this can also be some unique uuid of your system, not necessarily an actual email
kind *
String
kind of user being created. Can only beEndUser
Example:
Responses
See Common Errors for common errors.
See Delegated Authentication Errors for delegated authentication specific errors.
Success - an object containing the user's authentication options
The "challenge" is the value that needs to be sent to the user to be signed in order to Complete User Registration
Format:
Examples
Last updated